Package com.macrofocus.common.interval

# Class PropertyClosedInterval

java.lang.Object
com.macrofocus.common.interval.AbstractMutableInterval
com.macrofocus.common.interval.ClosedInterval
com.macrofocus.common.interval.PropertyClosedInterval

All Implemented Interfaces:
  `Interval`, `MutableInterval`

Direct Known Subclasses:
  `OpenInterval`

@JsType public class PropertyClosedInterval extends ClosedInterval
A closed interval is an interval that includes all of its limit points.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyClosedInterval(double start, double extent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getEnd()`
  `MutableProperty<Double>`
  `getEndProperty()`
  `double`
  `getStart()`
  `MutableProperty<Double>`
  `getStartProperty()`
  `void`
  `setEnd(double value)`
  `void`
  `setExtent(double extent)`
  `void`
  `setStart(double value)`
  `void`
  `setValue(double value, double extent)`
  `String`
  `toString()`

  ### Methods inherited from class com.macrofocus.common.interval.ClosedInterval

  `contains, containsInterval, containsStartEnd, getExtent, isDegenerate, isInverted, overlaps, overlapsInterval`

  ### Methods inherited from class com.macrofocus.common.interval.AbstractMutableInterval

  `addIntervalListener, addWeakIntervalListener, notifyIntervalChanged, removeIntervalListener, removeIntervalListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PropertyClosedInterval

    public PropertyClosedInterval(double start, double extent)

- ## Method Details

  - ### getStartProperty

    public MutableProperty<Double> getStartProperty()

  - ### getEndProperty

    public MutableProperty<Double> getEndProperty()

  - ### setStart

    public void setStart(double value)

  - ### setEnd

    public void setEnd(double value)

  - ### setExtent

    public void setExtent(double extent)

  - ### setValue

    public void setValue(double value, double extent)

  - ### getStart

    public double getStart()

  - ### getEnd

    public double getEnd()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`